[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| SlicOptions Struct Reference Superpixel Creation |

Options object for slicSuperpixels(). More...

`#include <vigra/slic.hxx>`

## Public Member Functions
SlicOptions & | iterations (unsigned int i)
| Number of iterations. More...
SlicOptions & | minSize (unsigned int s)
| Minimum superpixel size. More...
| SlicOptions ()
| Create options object with default settings. More...

## Detailed Description

Options object for slicSuperpixels().

Usage:

see slicSuperpixels() for detailed examples.

## Constructor & Destructor Documentation

SlicOptions | ( |  | ) |

Create options object with default settings.

Defaults are: perform 10 iterations, determine a size limit for superpixels automatically.

## Member Function Documentation

SlicOptions& iterations | ( | unsigned int | i | ) |

Number of iterations.

Default: 10

SlicOptions& minSize | ( | unsigned int | s | ) |

Minimum superpixel size.

If you set this to 1, no size filtering will be performed.

Default: 0 (determine size limit automatically as `average size / 4`)

The documentation for this struct was generated from the following file:

- vigra/slic.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.0 (Fri May 19 2017)